/*
 * Copyright (c) 2001-2002 Conexant Systems, Inc.
 * 
 * 1.   Permitted use. Redistribution and use in source and binary forms,
 * with or without modification, are permitted under the terms set forth
 * herein.
 * 
 * 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
 * REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
 * IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
 * CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
 * 
 * This software has not been formally tested, and there is no guarantee that
 * it is free of errors including, but not limited to, bugs, defects,
 * interrupted operation, or unexpected results. Any use of this software is
 * at user's own risk.
 * 
 * 3.   No Liability.
 * 
 * (a) Conexant or contributors shall not be responsible for any loss or
 * damage to Company, its customers, or any third parties for any reason
 * whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
 * ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 * 
 * (b) User agrees to hold Conexant and contributors harmless from any
 * liability, loss, cost, damage or expense, including attorney's fees,
 * as a result of any claims which may be made by any person, including
 * but not limited to User, its agents and employees, its customers, or
 * any third parties that arise out of or result from the manufacture,
 * delivery, actual or alleged ownership, performance, use, operation
 * or possession of the software furnished hereunder, whether such claims
 * are based on negligence, breach of contract, absolute liability or any
 * other legal theory.
 * 
 * 4.   Notices. User hereby agrees not to remove, alter or destroy any
 * copyright, trademark, credits, other proprietary notices or confidential
 * legends placed upon, contained within or associated with the Software,
 * and shall include all such unaltered copyright, trademark, credits,
 * other proprietary notices or confidential legends on or in every copy of
 * the Software.
 * 
 */
#ifndef __OSRESOUR_EX_H
#define __OSRESOUR_EX_H

/****************************************************************************************
*		                     Version Control Information
*
*	$Header:   P:/d942/octopus/archives/linuxos/dist/modules/osspec/osresour_ex.h_v   1.1   27 Jun 2002 17:21:18   beliloi  $
*
*****************************************************************************************/


/****************************************************************************************

File Name:			OsTime_Ex.h

File Description:	Operating Specific Timer Services prototypes.

*****************************************************************************************/


#include "framewrk.h"			// Compiler Directives for code modules

#include "typedefs.h"
#include "comtypes.h"

typedef BOOL  (*OSPMCB)(PVOID inst);

typedef struct {
	OSPMCB SuspendOKCB;
	PVOID SuspendOKInst;
	OSPMCB SuspendCB;
	PVOID SuspendInst;
	OSPMCB ResumeCB;
	PVOID ResumeInst;
} OS_PM_CONFIG, *POS_PM_CONFIG;

HANDLE OSFindPCIDevice(int vendorId, int deviceId);

BOOL OSGetPCIDeviceResources(HANDLE DevNode, UINT32* pdwPhysMemBase, UINT32* pdwMemSize, UINT8* pcIrq);

UINT32 OSMapMemory(UINT32 dwPhysMemBase, UINT32 dwMemSize);

BOOL OSUnmapMemory(UINT32 dwLinearAddr, UINT32 dwMemSize);

UINT32 OSHookInterrupt(UINT8 cIrq, UINT32 IntProc, void* RefData);

void OSUnhookInterrupt(UINT32 dwHandle, void *RefData);

HANDLE    OSInitPowerManagement(HANDLE DevNode, POS_PM_CONFIG pPmConf);
void    OSTermPowerManagement(HANDLE pmdev);

#endif /* __OSRESOUR_EX_H */

